type DefaultValue<T> = T | (() => T);
type SetterParam<T> = T | ((oldValue: T) => T);
type Setter<T> = (value: SetterParam<T>) => void;
type Getter<T> = () => T;
type Status<T> = Getter<T> & Setter<T> & {
    value: T;
};
declare const useStatus: <T>(startingStatus: DefaultValue<T>) => Status<T>;

export { useStatus };
